Subject: Hop Limit in Router Advertisement?????????

From: "Anjaneyulu" <[email-masked]>
Date: Tue, 25 Jun 2002 16:43:46 +0530

Hi All,
The ND RFC 2461 specifies that the Hop Limit in the IPv6 Header be set to 255 for Router Advertisement.

But as far as i understand the router Advertisement should not be propagated out of the Link by a router.
Why is the Hop Limit Value 255???? it can be set to 1 same as that in IPv4!!!!!!!

Does this value 255 value that the router advertisement can be propagated  across 255 Hops????

Regards,
Anj

---

From: Pekka Savola <[email-masked]>
Date: Tue, 25 Jun 2002 14:22:40 +0300 (EEST)

> Does this value 255 value that the router advertisement can be propagated  across 255 Hops????

Please read RFC2461 again, in particular section 3.1!!!!!!!!!!!!!!!!!!!!!

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Matti Aarnio <[email-masked]>
Date: Tue, 25 Jun 2002 14:26:00 +0300

> propagated out of the Link by a router.

  "should not" is the key.  If somebody goofs up, and the Advertisement
  is thus propagatable, seeing that the hop-count is not 255 will tell
  to all users that no, it is not valid RA.

  This way only people local to the cable (link) can generate RAs that
  are identifiable as valid RAs, and no remote attacker can do the same.
  This does not prevent all kinds of attacks, only the remote ones.

> Anj

/Matti Aarnio